> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/quote
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/quote:
    post:
      tags:
        - quote
      summary: Get Quote
      operationId: get_quote_v1_quote_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QuoteRequest:
      properties:
        from_chain_id:
          type: integer
          title: From Chain Id
        from_token:
          type: string
          title: From Token
        from_amount:
          type: string
          title: From Amount
        vault_id:
          type: string
          title: Vault Id
        user_address:
          type: string
          title: User Address
        slippage:
          type: number
          title: Slippage
          default: 0.03
        referrer:
          type: string
          title: Referrer
          default: '0x0000000000000000000000000000000000000000'
      type: object
      required:
        - from_chain_id
        - from_token
        - from_amount
        - vault_id
        - user_address
      title: QuoteRequest
    QuoteResponse:
      properties:
        quote_type:
          type: string
          title: Quote Type
        vault:
          $ref: '#/components/schemas/VaultResponse'
        estimate:
          $ref: '#/components/schemas/QuoteEstimate'
        approval:
          anyOf:
            - $ref: '#/components/schemas/ApprovalData'
            - type: 'null'
        route_options:
          anyOf:
            - items:
                $ref: '#/components/schemas/RouteOption'
              type: array
            - type: 'null'
          title: Route Options
      type: object
      required:
        - quote_type
        - vault
        - estimate
      title: QuoteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VaultResponse:
      properties:
        vault_id:
          type: string
          title: Vault Id
        name:
          type: string
          title: Name
        address:
          type: string
          title: Address
        chain_id:
          type: integer
          title: Chain Id
        chain_name:
          type: string
          title: Chain Name
        asset:
          $ref: '#/components/schemas/AssetInfo'
        accepted_assets:
          items:
            $ref: '#/components/schemas/AssetInfo'
          type: array
          title: Accepted Assets
          default: []
        deposit_router:
          type: string
          title: Deposit Router
        type:
          type: string
          title: Type
          default: morpho
        min_deposit:
          anyOf:
            - type: string
            - type: 'null'
          title: Min Deposit
        no_minimum:
          type: boolean
          title: No Minimum
          default: false
        curator:
          anyOf:
            - type: string
            - type: 'null'
          title: Curator
        paused:
          type: boolean
          title: Paused
          default: false
        paused_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Paused Reason
        external_router:
          type: boolean
          title: External Router
          default: false
      type: object
      required:
        - vault_id
        - name
        - address
        - chain_id
        - chain_name
        - asset
        - deposit_router
      title: VaultResponse
    QuoteEstimate:
      properties:
        from_amount:
          type: string
          title: From Amount
        from_amount_usd:
          anyOf:
            - type: string
            - type: 'null'
          title: From Amount Usd
        to_amount:
          type: string
          title: To Amount
        to_amount_min:
          type: string
          title: To Amount Min
        deposit_amount:
          type: string
          title: Deposit Amount
        estimated_shares:
          anyOf:
            - type: string
            - type: 'null'
          title: Estimated Shares
        price_impact:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Impact
        estimated_time:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Time
        gas_cost_usd:
          anyOf:
            - type: string
            - type: 'null'
          title: Gas Cost Usd
        steps:
          anyOf:
            - items:
                $ref: '#/components/schemas/StepDetail'
              type: array
            - type: 'null'
          title: Steps
      type: object
      required:
        - from_amount
        - to_amount
        - to_amount_min
        - deposit_amount
      title: QuoteEstimate
    ApprovalData:
      properties:
        token_address:
          type: string
          title: Token Address
        spender_address:
          type: string
          title: Spender Address
        amount:
          type: string
          title: Amount
      type: object
      required:
        - token_address
        - spender_address
        - amount
      title: ApprovalData
    RouteOption:
      properties:
        bridge:
          type: string
          title: Bridge
        bridge_name:
          type: string
          title: Bridge Name
        bridge_logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Bridge Logo
        to_amount:
          type: string
          title: To Amount
        to_amount_min:
          type: string
          title: To Amount Min
        deposit_amount:
          type: string
          title: Deposit Amount
        estimated_time:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Time
        gas_cost_usd:
          anyOf:
            - type: string
            - type: 'null'
          title: Gas Cost Usd
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
      type: object
      required:
        - bridge
        - bridge_name
        - to_amount
        - to_amount_min
        - deposit_amount
      title: RouteOption
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AssetInfo:
      properties:
        address:
          type: string
          title: Address
        symbol:
          type: string
          title: Symbol
        decimals:
          type: integer
          title: Decimals
      type: object
      required:
        - address
        - symbol
        - decimals
      title: AssetInfo
    StepDetail:
      properties:
        type:
          type: string
          title: Type
        tool:
          type: string
          title: Tool
        from_token:
          anyOf:
            - type: string
            - type: 'null'
          title: From Token
        to_token:
          anyOf:
            - type: string
            - type: 'null'
          title: To Token
        from_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: From Amount
        to_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: To Amount
        estimated_time:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimated Time
      type: object
      required:
        - type
        - tool
      title: StepDetail

````